Subject: FW: dynamic capabilities and ORF

From: "Shah, VJ" <[email-masked]>
Date: Tue, 16 Jul 2002 10:29:16 -0400

I had earlier posted some queries regarding use of dynamic capability
negotiation for ORF capability.  I hope these will be addressed in the new
version of the draft.

thanks

VJ

With reference to drafts "draft-ietf-idr-dynamic-cap-01.txt and
"draft-ietf-idr-route-filter-05.txt", I have the following question:

Is dynamic capability supported for Cooperative Route Filters(ORF)?

If yes, It is not clear how to advertise or withdraw ORF capability for a
particular ORF Type in an address family using Dynamic capability. 

Consider the following example:

1) When BGP session is established, we advertise 

ORF capability 
	address family IPV4-Unicast 
		ORF Type: Prefix-List, Send/Receive: Both
            ORF Type: Extended-Community, Send/Receive: Both

2) User turns on ORF capability for Communities on the local BGP system

In this case, using dynamic capability, do we need to advertise all three
Types 

OR 

we advertise only the new type i.e Community Type.

3) Now, the user turns off ORF capability on the local BGP system for ORF
Type: Extended-Community

In this case, do we send a dynamic capability message withdrawing all the
ORF capabilities and then send another capability message advertising the
new set of ORF Types being supported.

OR

Send a Dynamic capability message removing only the Extended Community ORF
Type.  In this case, does the Send/Receive field in Capability data indicate
the mode being withdrawn.

Thanks,

VJ Shah

>>-----Original Message-----
>>From: Srihari R. Sangli [mailto:[email-masked]]
>>Sent: Thursday, July 11, 2002 4:36 PM
>>To: Abarbanel, Benjamin
>>Cc: 'Tsillas, Jim'; [email-masked]'; [email-masked]'
>>Subject: RE: Re>Are dynamic capabilities really necessary if peers
>>support gracef ul restart?
>>
>>
>>
>>Ben,
>>
>>> Srihari:
>>>   I looked over the draft again and I have to apologize I 
>>misunderstood you
>>> responses below. I would recommend rewording the two 
>>paragraph so that
>>> others
>>> do not get confused like me.
>>
>>Ok. Will be added in the next revision. Thanks for the feedback.
>>
>>srihari...
>>